org.eclipse.actf.util.xpath

## Class XPathServiceFactory

- java.lang.Object
- - org.eclipse.actf.util.xpath.XPathServiceFactory

    public abstract class XPathServiceFactory
    extends Object

Factory class to obtain XPathService utility.

### Constructor Summary

Constructors
Constructor and Description
`XPathServiceFactory()`

### Method Summary

Methods
`static XPathService` `newService()` Returns XPathService instance
`static void` `setFactory(XPathServiceFactory f)` Set XPathServiceFactory

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathServiceFactory

    public XPathServiceFactory()

### Method Detail

#### setFactory

    public static void setFactory(XPathServiceFactory f)

Set XPathServiceFactory

Parameters:
  `f` - the target XPathServiceFactory

#### newService

    public static XPathService newService()

Returns XPathService instance

Returns:
  XPathService instance